Loading...
Searching...
No Matches
tensor4.cc File Reference

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.

## Macros

#define | _RHEOLEF_instanciation(T)

## Functions

template<class T >
tensor_basic< T > | ddot (const tensor4_basic< T > &a, const tensor_basic< T > &x)
template<class T >
tensor_basic< T > | ddot (const tensor_basic< T > &y, const tensor4_basic< T > &a)
template<class T >
T | norm2 (const tensor4_basic< T > &a)

## Macro Definition Documentation

## _RHEOLEF_instanciation

#define _RHEOLEF_instanciation | ( |  | T | ) |

Value:
template class tensor4_basic<T>; \
template tensor_basic<T> ddot (const tensor4_basic<T>&, const tensor_basic<T>&); \
template tensor_basic<T> ddot (const tensor_basic<T>&, const tensor4_basic<T>&); \
template T norm2 (const tensor4_basic<T>&);
T
Expr1::float_type T
Definition field_expr.h:230

Definition at line 218 of file tensor4.cc.